import csv
import gzip
import click
from datetime import date, timedelta


@click.command()
@click.argument('filepath', type=click.Path(exists=True))
def append_gzipped_data(filepath):
    with gzip.open(filepath, 'at') as ufos: # <1>
        ufo_csvfile = csv.writer(ufos)
        
        start_date = date(2018,1,1) # <2>
        end_date = date(2118,1,1)
        days = (end_date-start_date).days

        same_location = 'Area-52'
        same_reporter = 'NEVADAta'

        for day in range(days):
            sighting_day = start_date + timedelta(day)
            ufo_csvfile.writerow([sighting_day, same_location, same_reporter])


if __name__ == '__main__':
    append_gzipped_data()
