import os.path
import click
import math

@click.command() # <1>
@click.option('--warning', '-w', type=int)
@click.option('--critical', '-c', type=int)
@click.argument('filename')
def check_dataset_size(warning, critical, filename):
    size_in_bytes = os.path.getsize(filename) # <2>
    size_in_kilobytes = math.ceil(size_in_bytes / 1024)

    if size_in_kilobytes > critical: # <3>
        print('Critical: How dare you go over the limit!?', end=' ') 
    elif size_in_kilobytes > warning:
        print('Warning: You are dangerously close to the limit', end=' ')
    else:
        print('All is OK: The sysadmins love you!', end=' ')

    print('(Size is: {size}KB)'.format(size=size_in_kilobytes)) # <4>

if __name__ == '__main__':
    check_dataset_size()
