from datetime import date, timedelta
import click
import csv


@click.command()
@click.argument('outputfile', type=click.File('w'))
def generate_ufofile(outputfile):
    ufo_csvfile = csv.writer(outputfile)

    headers = ['date', 'location', 'reporter']
    ufo_csvfile.writerow(headers)

    start_date = date(1956,1,1)
    end_date = date(2018,1,1)
    days = (end_date-start_date).days

    same_location = 'Area-52'
    same_reporter = 'NEVADAta'

    for day in range(days):
        sighting_day = start_date + timedelta(day)
        ufo_csvfile.writerow([sighting_day, same_location, same_reporter])


if __name__ == '__main__':
    generate_ufofile()
