import gzip
import click
import shutil


@click.command()
@click.argument('filename', type=click.Path(exists=True))
def gzip_dataset(filename):
    gzip_filename = '{name}.gz'.format(name=filename) # <1>

    with open(filename, 'rb') as dataset: # <2>
        with gzip.open(gzip_filename, 'wb') as dataset_gzipped: # <3>
            shutil.copyfileobj(dataset, dataset_gzipped) # <4>


if __name__ == '__main__':
    gzip_dataset()
