import click

ALLOWED_STATUS = { # <1>
    'ok': {'code': 0, 'message': 'OK: Everything is awesome!'},
    'warning': {'code': 1, 'message': 'WARNING: A disturbance in the force.'},
    'critical': {'code': 2, 'message': 'CRITICAL: RUN FOR YOUR LIVES!!!!'}
}

@click.command()
@click.option('--status', '-s', type=click.File('r'))
def check_status(status):  # <2>
    
    message = status.readline()
    cleaned_message = message.strip().lower()

    status_dictionary = ALLOWED_STATUS.get(
        cleaned_message, {'code':3, 'message': 'UNKNOWN: Does not compute'})

    print(status_dictionary['message']) # <3>
    raise SystemExit(status_dictionary['code']) # <4>

if __name__ == "__main__":
    try: # <5>
        check_status()
    except Exception as e:
        print('UNKNOWN: {}'.format(e))
        raise SystemExit(3)
