#!/usr/bin/env bash

set -e

if [ "$1" = 'postgres' ]; then
    if test $SERVER_TYPE == "primary"; then
	/usr/local/bin/docker-entrypoint.sh "$1";
    else
	rm -rf ${PGDATA}/*
	pg_basebackup -h ${PRIMARY_SERVER} -D ${PGDATA} -U postgres -v -wP
	cat > ${PGDATA}/recovery.conf <<EOF
standby_mode = on
primary_conninfo = 'host=${PRIMARY_SERVER} port=5432 user=${POSTGRES_USER}'
trigger_file = '/tmp/postgres.trigger'
EOF

	chown postgres ${PGDATA}/recovery.conf
	chmod 600 ${PGDATA}/recovery.conf

	cp /configurations/secondary.conf ${PGDATA}/postgresql.conf
	chown postgres ${PGDATA}/postgresql.conf
	chmod 600 ${PGDATA}/postgresql.conf

	chown -R postgres "$PGDATA"
	chmod 700 "$PGDATA"
	
	exec gosu postgres "$@"
    fi
fi

