from flask import Flask, render_template, request, send_from_directory
import datetime
import csv

app = Flask(__name__)


@app.route('/', methods=['GET', 'POST'])
def home():
    if request.method == 'POST':
        with open('data/timeliness.csv', 'w') as timeliness:
            writer = csv.writer(timeliness)
            writer.writerow(('date', 'timeliness'))
            for (date, timeliness) in sorted(request.form.items()):
                if timeliness:
                    writer.writerow((date, timeliness))
        return render_template('submission.html')

    today = datetime.date.today()
    processes = [today - datetime.timedelta(days=days)
                 for days in [8, 5, 3, 2, 1]]

    return render_template('index.html', processes=processes)


@app.route('/data/<path:filename>')
def data(filename):
    return send_from_directory('data', filename)
