from jinja2 import Environment, FileSystemLoader
import os.path
import click
import csv


def extract(file_obj): # <1>
    csv_reader = csv.DictReader(file_obj)
    return (row for row in csv_reader)


def transform(rows): # <2>
    return rows


def load(rows): # <3>
    filedir = os.path.dirname(__file__)
    env = Environment(
        loader=FileSystemLoader(os.path.join(filedir, 'templates'))
        )

    template = env.get_template('memes.jinja2')
    content = template.render(memes=rows)

    with open('index.html', 'w') as outputfile:
        outputfile.write(content)


@click.command()
@click.argument('csvfile', nargs=1, type=click.File('r'))
def etl(csvfile):
    extracted_data = extract(csvfile) # <4>
    transform_data = transform(extracted_data)
    load(transform_data)

if __name__ == '__main__':
    etl()
