from reproducibility import get_memes
import unittest
import os.path


class TestReproducibility(unittest.TestCase):  # <1>

    def setUp(self): # <2>
        filedir = os.path.dirname(__file__)
        self.testfiledirs = os.path.join(filedir, 'tests')

        self.name = 'derp' # <3>
        self.origin = 'baseketball'
        self.year = '1999'
        self.description = 'http://knowyourmeme.com/memes/derp'


    def _test_row(self, row): # <4>
        assert row['name'] == self.name
        assert row['origin'] == self.origin
        assert row['year'] == self.year
        assert row['description'] == self.description


    def test_nouri(self): # <5>
        with open(os.path.join(self.testfiledirs, 'nouri.csv')) as file_obj:
            self._test_row(next(get_memes(file_obj)))

    def test_uri(self): # <6>
        with open(os.path.join(self.testfiledirs, 'uri.csv')) as file_obj:
            self._test_row(next(get_memes(file_obj)))
