from goodtables import validate
import click


@click.command()
@click.option('--critical', '-c', type=int)
@click.option('--schema', '-s', multiple=True, type=click.Path(exists=True))
@click.argument('testfile', nargs=-1, type=click.Path(exists=True))
def verify_reproducibility(critical, schema, testfile):
    criticals = set()
    for testpath in testfile:
        validation = (
            validate(testpath, schema=schemafile).get('valid', False)  # <1>
            for schemafile in schema)

        if sum(validation) > 1: # <2>
            criticals.add(testpath)

    if len(criticals) > critical: # <3>
        print('Critical: Verified reproducibility '\
            'for {count} files: [{files}]'.format(
                count=len(criticals), files=', '.join(criticals)))
        raise SystemExit(2)

    print('OK: Verified reproducibility')
    raise SystemExit(0)


if __name__ == '__main__':
    try:
        verify_reproducibility()
    except Exception as e:
        print('Unknown: {0}'.format(e))
        raise SystemExit(3)
