from flask import Flask, render_template, request, send_from_directory
from goodtables import validate
from datapackage import Package
import io


app = Flask(__name__)


@app.route('/', methods=['GET', 'POST'])
def home():
    if request.method == 'POST':
        csv_content = request.form.get('csv', '')
        with open('data/musicians.csv', 'w') as musicians:
            musicians.write(csv_content)

        report = validate('data/datapackage.json', preset='datapackage')
        return render_template('report.html', report=report)

    return render_template('index.html')


@app.route('/data/<path:filename>')
def data(filename):
    return send_from_directory('data', filename)
