from goodtables import validate
import os.path
import click


@click.command()
@click.option('--critical', '-c', type=int)
@click.argument('datapackage', nargs=-1, type=click.Path(exists=True))
def check_validity(critical, datapackage):
    invalid = [descriptor for descriptor in datapackage  # <1>
               if not validate(descriptor, preset='datapackage')['valid']]

    if len(invalid) > critical: # <2>
        print('Critical: Validity for {count} files [{files}]'.format(
            count=len(invalid), files=', '.join(invalid)))
        raise SystemExit(2)
    else:
        print('OK: Validity')
        raise SystemExit(0)


if __name__ == '__main__':
    try:
        check_validity()
    except Exception as e:
        print('UNKNOWN: {0}'.format(e))
        raise SystemExit(3)
