from numpy import random as nprandom
import random as pyrandom
import click
import csv


def get_pyrandom(seed, size): # <1>
    pyrandom.seed(seed)
    return (pyrandom.normalvariate(0,1) for _ in range(size))


def get_nprandom(seed, size): # <2>
    nprandom.seed(seed)
    return nprandom.standard_normal(size)


@click.command()
@click.option('--seed', '-s', type=int)
@click.option('--length', '-l', type=int)
@click.option('--method', '-m', default='python',
              type=click.Choice(['numpy', 'python']))
@click.argument('csv_file', nargs=1, type=click.File('w'))
def generate_normal_data(seed, length, method, csv_file):
    make_data = get_nprandom if method == 'numpy' else get_pyrandom # <3>

    csv_writer = csv.writer(csv_file)
    csv_writer.writerows(map(lambda datapoint: [datapoint], # <4>
                             make_data(seed, length)))


if __name__ == '__main__':
    generate_normal_data()
